/* ink.orc */
/* Written by Kevin Conder */
; Initialize the global variables.
sr = 44100
kr = 4410
ksmps = 10
nchnls = 1

; Instrument Name: MyEnvelope
; Output Parameters: one k-rate signal.
; Input Parameters: one k-rate signal.
instr MyEnvelope, k, k
  ; Store the input parameter in the kinputparam variable.
  kinputparam ink

  ; Fade the signal over time.
  kline line 0, p3, 1
  kfaded = (kinputparam - kline) * 20000

  ; Output the new faded k-rate signal.
  outk kfaded
endin

; Instrument Name: #1
instr 1
  ; Create a k-rate signal.
  ksig init 1

  ; Turn the k-rate signal into an amplitude envelope.
  kenv MyEnvelope ksig

  ; Use the amplitude envelope with a basic sine-wave tone.
  abasic oscil kenv, 440, 1

  out abasic
endin
/* ink.orc */
